Description

Problem

Using Redmine 5.1.3 with an asynchronously queue backend reveals a broken project list table for admin users when they filter
those projects scheduled for deletion:

Home My page Projects DMS Administration Help

Redmine

Projects @ New project
w Filters
Status is v scheduled for deletion ~ Add filter v

> Options
« Apply @ Clear | Save custom query

(m} Name Identifier Description

(1-1/1)

Move all columns to the right!

Solution

The attached patch fixes the problem by adding two missing columns to the table layout and adds an integration test for making sure
these changes will persist. After applying the patch to 5.1-stable branch the table looks like:

Projects @ Wew project
~ Filters
Status is v scheduled for deletion v Add filter v
> Options

« Apply 9 Clear | Save custom query

a Name Identifier Description
Information
Redmine 5.1.3.stable

Default administrator account changed

Attachments directory writable

Plugin assets directory writable (./public/plugin_assets)
All database migrations have been run

MiniMagick available (optional)

ImageMagick convert available (optional)
ImageMagick PDF support available (optional)

Environment:

Redmine version 5.1.3.stable
Ruby version 3.2.5-p208 (2024-087-26) [x86_64-1linux]
Rails version 6.1.7.8
Environment development
Database adapter Mysq12
Mailer queue Activelob::QueueAdapters::AsyncAdapter
Mailer delivery smtp
Redmine settings:
Redmine theme Default
SCM:
Subversion 1.14.2
Mercurial 6.3.2
Git 2.39.2

Filesystem
Redmine plugins:

$§4444486

Associated revisions

Revision 23026 - 2024-09-06 04:57 - Go MAEDA

Fix broken project list layout for projects scheduled for deletion (#41217).

Patch by Liane Hampe (user:liane_hampe).

Revision 23031 - 2024-09-07 06:10 - Go MAEDA
Merged r23026 from trunk to 5.1-stable (#41217).

History

#1 - 2024-09-04 06:21 - Go MAEDA

- Target version set to 5.1.4

Setting the target version to 5.1.4.

#2 - 2024-09-06 04:58 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r23026. Thank you for your contribution.

#3 - 2024-09-06 04:58 - Go MAEDA

- Status changed from Closed to Resolved

#4 - 2024-09-07 06:10 - Go MAEDA

- Status changed from Resolved to Closed

Merged to 5.1-stable branch in r23031.

#5 - 2024-09-17 03:57 - Go MAEDA

- Tracker changed from Patch to Defect
